package com.displaynone.acss.components.acs.visit.service;

import com.displaynone.acss.components.acs.visit.VisitModel;
import com.displaynone.acss.components.acs.visit.VisitRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@RequiredArgsConstructor
public class VisitServiceImpl implements VisitService {
    private final VisitRepository visitRepository;

    @Override
    public List<VisitModel> getByCodeId(Long code) {
        return visitRepository.findByCodeId(code);
    }

    @Override
    public List<VisitModel> getByUserId(Long userId) {
        return visitRepository.findByUserId(userId);
    }

    @Override
    public Page<VisitModel> getVisitsByCodeIdPaginated(Long codeId, Pageable pageable) {
        return visitRepository.findByCodeId(codeId, pageable);
    }

    @Override
    public Page<VisitModel> getVisitsByUserIdPaginated(Long userId, Pageable pageable) {
        return visitRepository.findByUserId(userId, pageable);
    }
}
