package com.displaynone.acss.components.auth.models.user.service;

import com.displaynone.acss.components.auth.models.user.UserModel;
import com.displaynone.acss.components.auth.models.user.UserRepository;
import com.displaynone.acss.exception.generics.NotFoundHTTPException;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Optional;

@Service
@RequiredArgsConstructor
public class UserServiceImpl implements UserService {
    private final UserRepository userRepository;

    @Override
    public Optional<UserModel> findByLogin(String login) {
        return userRepository.findByLogin(login);
    }

    @Override
    public UserModel findByLoginStrict(String login) {
        Optional<UserModel> user = findByLogin(login);
        if (user.isEmpty()) throw new NotFoundHTTPException("User not found");
        return user.get();
    }
}
